#ifndef pairCutMonitor_kT_hh
#define pairCutMonitor_kT_hh

#include "StHbtMaker/Infrastructure/StHbtTypes.hh"
#include "StHbtMaker/Infrastructure/StHbtPair.hh"
#include "StHbtMaker/Base/StHbtCutMonitor.hh"

class pairCutMonitor_kT : public StHbtCutMonitor{

private:
  StHbt1DHisto*  mHisto; 

public:
  pairCutMonitor_kT();
  pairCutMonitor_kT(const char* TitCutMoni, const char* title, 
		    int nbins ,double min, double max);
  virtual ~pairCutMonitor_kT();


  virtual string Report(); 
  virtual void Fill(const StHbtPair* pair);
  virtual void Finish();
  StHbt1DHisto* Histo() {return mHisto;}
  
  // These dummy Fill() functions were introduced to remove a compiler
  //   warning related to overloaded base-class Fill() functions being 
  //   hidden by a single version of Fill() in this derived class
  void Fill(const StHbtParticleCollection* d) {;}
  void Fill(const StHbtEvent *d1, const StHbtParticleCollection* d2) {;}
  void Fill(const StHbtTrack* d) {;}
  void Fill(const StHbtKink* d) {;}
  void Fill(const StHbtV0* d) {;}
  void Fill(const StHbtEvent* d) {;}

#ifdef __ROOT__ 
 ClassDef(pairCutMonitor_kT, 1)
#endif
};

#endif
